package com.ss.android.ugc.aweme.social.widget.card.permission;

import X.AnonymousClass3ZQ;
import X.AnonymousClass4ZZ;
import X.C03012Pr;
import X.C18552xD;
import X.C18812xd;
import X.CbG;
import X.LnI;
import X.LsC;
import X.M12;
import android.content.res.Resources;
import android.util.TypedValue;
import android.view.ViewGroup;
import com.bytedance.covode.number.Covode;
import kotlin.h.b.n;

public final class FacebookLargeSquareCell extends FacebookSquareCell {
    static {
        Covode.recordClassIndex(114769);
    }

    public final void LIZ(CbG cbG) {
        M12.LIZ(cbG);
        FacebookLargeSquareCell.super.LIZ(cbG);
        ViewGroup.LayoutParams layoutParams = cbG.getLayoutParams();
        Resources system = Resources.getSystem();
        n.LIZIZ(system, "");
        layoutParams.width = LnI.LIZ(TypedValue.applyDimension(1, 136.0f, system.getDisplayMetrics()));
        Resources system2 = Resources.getSystem();
        n.LIZIZ(system2, "");
        layoutParams.height = LnI.LIZ(TypedValue.applyDimension(1, 28.0f, system2.getDisplayMetrics()));
    }

    public final void LIZIZ(ViewGroup viewGroup) {
        M12.LIZ(viewGroup);
        super.LIZIZ(viewGroup);
        ViewGroup.LayoutParams layoutParams = viewGroup.getLayoutParams();
        Resources system = Resources.getSystem();
        n.LIZIZ(system, "");
        layoutParams.height = LnI.LIZ(TypedValue.applyDimension(1, 226.0f, system.getDisplayMetrics()));
        Resources system2 = Resources.getSystem();
        n.LIZIZ(system2, "");
        layoutParams.width = LnI.LIZ(TypedValue.applyDimension(1, 160.0f, system2.getDisplayMetrics()));
    }

    public final void LIZ(AnonymousClass4ZZ r6) {
        M12.LIZ(r6);
        ViewGroup.LayoutParams layoutParams = r6.getLayoutParams();
        Resources system = Resources.getSystem();
        n.LIZIZ(system, "");
        layoutParams.height = LnI.LIZ(TypedValue.applyDimension(1, 120.0f, system.getDisplayMetrics()));
        Resources system2 = Resources.getSystem();
        n.LIZIZ(system2, "");
        layoutParams.width = LnI.LIZ(TypedValue.applyDimension(1, 120.0f, system2.getDisplayMetrics()));
        r6.setLayoutParams(layoutParams);
        r6.setTuxIcon(C18812xd.LIZ((LsC<? super AnonymousClass3ZQ, C03012Pr>) C18552xD.LIZ));
    }
}
